summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2021-10-06 11:44:37 +0200
committerLars Wendler <polynomial-c@gentoo.org>2021-10-06 11:45:07 +0200
commite7a577fe73697b8a27b0da700e8642615039484e (patch)
treef938e68787e0faf16b5b9624413ab3e0f517c9df /media-plugins/hdx-realtime-media-engine
parentdev-cpp/tree: drop 2.81 (diff)
downloadgentoo-e7a577fe73697b8a27b0da700e8642615039484e.tar.gz
gentoo-e7a577fe73697b8a27b0da700e8642615039484e.tar.bz2
gentoo-e7a577fe73697b8a27b0da700e8642615039484e.zip
media-plugins/hdx-realtime-media-engine: Bump to version 2.9.400.2702
Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'media-plugins/hdx-realtime-media-engine')
-rw-r--r--media-plugins/hdx-realtime-media-engine/Manifest2
-rw-r--r--media-plugins/hdx-realtime-media-engine/hdx-realtime-media-engine-2.9.400.2702.ebuild97
2 files changed, 99 insertions, 0 deletions
diff --git a/media-plugins/hdx-realtime-media-engine/Manifest b/media-plugins/hdx-realtime-media-engine/Manifest
index e9f1ce98f6d..f2cad70925f 100644
--- a/media-plugins/hdx-realtime-media-engine/Manifest
+++ b/media-plugins/hdx-realtime-media-engine/Manifest
@@ -2,3 +2,5 @@ DIST HDX_RealTime_Media_Engine_2.9.200_for_Linux.zip 30107965 BLAKE2B e0ffad7f86
DIST HDX_RealTime_Media_Engine_2.9.200_for_Linux_x64.zip 30135671 BLAKE2B 9547e51ac3d1eaa3dc3f8b2ef21b02f500a579029ee3685503199f0308f52131a6135d726a98d0bb7b58332b7e5931cdf2a6028343cd1b4286edd25c584068ca SHA512 79b0e5db35dcb0635a645622a9609ccb20859deb98ceae0c6e6dde9232723a1ef9625dd97b54697662b4a42c39e9de0cc96ab6b38d5587a39ba208120f027e92
DIST HDX_RealTime_Media_Engine_2.9.300_for_Linux.zip 30099613 BLAKE2B 2d5b266587685a71b7f79fdba64899eb8ea566c18041c5d8407f3563a418bba6abaa0566e10d3d82fd9d33b87520e0af634aa6649ee0184113151e2072be4c28 SHA512 ee025724627f0dae84b81083df867b282770c0a2c84da397655f7db45037e2562d64a6f4efed920be0ff017be176d54616213ee8b9d0aa2e606e3e93af62cc20
DIST HDX_RealTime_Media_Engine_2.9.300_for_Linux_x64.zip 30133167 BLAKE2B 0fec6d03f7a26a2fe162c9cfbb15fce57b323f5bc0880bccb3105aa1881532479c40f827595bcc3f55096c49dc0be30b0732349d8a1c8dc55fdeafaf2f05995d SHA512 f09936706d0ed64c72843fab95ef9434106d813ec7388f241da65ee1d69fc8e8b9f367a72a443f6db1b867b0811936e8583cfce6ae2a75fb3cf13ac1b15a2627
+DIST HDX_RealTime_Media_Engine_2.9.400_for_Linux.zip 30105551 BLAKE2B cf511ecc01909812535506de81c6f0c7516a2fe90b2e7a92f7c8e3602b38edd962ce4de2bc754d793b2cae06f24364e1908f2ef71728571e0cb63ed41ecf148b SHA512 4cc30e581f8e003c8d3cd460225dc6cd0dba699927d78f4b86ff10f9e7d5c3badcf7edfb6f7ca84343042d671ff872373da82c128aacec2011533e8b0537ae74
+DIST HDX_RealTime_Media_Engine_2.9.400_for_Linux_x64.zip 30137698 BLAKE2B 87819d23930898c9849c5bacb83551b46401185c2eaa9342c7a9fee28592f072a659d698e028bfcaf45dfe7cf4393aa7ad49aa6f92e79c6768c298759e116dce SHA512 6fa794646cfe607b94a42c430f2fdb6cde3cc1135a115436b6a2e6629b256ce27e5a116dbab707b5a9c1e6e8065ebd6fd67756a2ddb34245b945970471f56cf4
diff --git a/media-plugins/hdx-realtime-media-engine/hdx-realtime-media-engine-2.9.400.2702.ebuild b/media-plugins/hdx-realtime-media-engine/hdx-realtime-media-engine-2.9.400.2702.ebuild
new file mode 100644
index 00000000000..61ddaae0ea7
--- /dev/null
+++ b/media-plugins/hdx-realtime-media-engine/hdx-realtime-media-engine-2.9.400.2702.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit unpacker
+
+MY_PV="$(ver_cut 1-3)"
+
+DESCRIPTION="HDX RealTime Media Engine plugin for Citrix Workspace App"
+HOMEPAGE="https://www.citrix.com/"
+SRC_URI="amd64? ( HDX_RealTime_Media_Engine_${MY_PV}_for_Linux_x64.zip )
+ x86? ( HDX_RealTime_Media_Engine_${MY_PV}_for_Linux.zip )"
+LICENSE="icaclient"
+SLOT="0"
+
+KEYWORDS="~amd64 ~x86"
+RESTRICT="fetch mirror strip"
+
+BDEPEND="app-arch/unzip"
+RDEPEND="
+ >=net-misc/icaclient-20.12.0.12-r1
+ || (
+ media-video/pipewire
+ media-sound/pulseaudio
+ media-sound/apulse
+ )
+"
+
+ICAROOT="/opt/Citrix/ICAClient"
+QA_PREBUILT="${ICAROOT#/}/*"
+
+S="${WORKDIR}/usr/local/bin"
+
+pkg_nofetch() {
+ elog "Download the client file ${A} from"
+ elog "https://www.citrix.com/de-de/downloads/citrix-receiver/additional-client-software/hdx-realtime-media-engine-ltsrcu-latest.html"
+ elog "and place it into your DISTDIR directory."
+}
+
+pkg_setup() {
+ case ${ARCH} in
+ amd64)
+ zip_dir="x86_64"
+ zip_arch="amd64"
+ ;;
+ x86)
+ zip_dir="i386"
+ zip_arch="i386"
+ ;;
+ esac
+}
+
+src_unpack() {
+ default
+
+ local MY_T="${WORKDIR}/HDX_RealTime_Media_Engine_${MY_PV}_for_Linux$(usex amd64 '_x64' '')"
+ local deb_base_name="citrix-hdx-realtime-media-engine"
+ unpack_deb ${MY_T}/${zip_dir}/${deb_base_name}_$(ver_rs 3 -)_${zip_arch}.deb
+}
+
+src_install() {
+ insinto "${ICAROOT}/rtme"
+
+ # No, we do NOT install such a generic udev rule into the system
+ local destfiles=(
+ DialTone_US.wav
+ EULA.rtf
+ InboundCallRing.wav
+ )
+
+ local el
+ for el in "${destfiles[@]}" ; do
+ doins "${el}"
+ done
+
+ exeinto "${ICAROOT}"/rtme
+ doexe RTMEconfig RTMediaEngineSRV
+
+ for el in /var/{lib,log}/RTMediaEngineSRV /var/lib/Citrix/HDXRMEP ; do
+ keepdir ${el}
+ fperms a+rw ${el}
+ done
+
+ insinto "${ICAROOT}"
+ doins HDXRTME.so
+}
+
+pkg_postinst() {
+ ebegin "add info about our plugin to the module.ini of the Citrix receiver"
+ local inifile="${BROOT}${ICAROOT}/config/module.ini"
+ if cp "${inifile}" . ; then
+ "${BROOT}${ICAROOT}"/rtme/RTMEconfig -install -ignoremm \
+ && cp new_module.ini "${inifile}"
+ fi
+ eend $?
+}